Name:           python-google-cloud-aiplatform
Version:        1.100.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Vertex AI API client library

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/googleapis/python-aiplatform
Source:         %{pypi_source google_cloud_aiplatform}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'google-cloud-aiplatform' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-google-cloud-aiplatform
Summary:        %{summary}

%description -n python3-google-cloud-aiplatform %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-google-cloud-aiplatform adk,ag2,ag2-testing,agent-engines,autologging,cloud-profiler,datasets,endpoint,evaluation,full,langchain,langchain-testing,lit,llama-index,llama-index-testing,metadata,pipelines,prediction,preview,private-endpoints,ray,ray-testing,reasoningengine,tensorboard,testing,tokenization,vizier,xai


%prep
%autosetup -p1 -n google_cloud_aiplatform-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x adk,ag2,ag2-testing,agent-engines,autologging,cloud-profiler,datasets,endpoint,evaluation,full,langchain,langchain-testing,lit,llama-index,llama-index-testing,metadata,pipelines,prediction,preview,private-endpoints,ray,ray-testing,reasoningengine,tensorboard,testing,tokenization,vizier,xai


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-google-cloud-aiplatform -f %{pyproject_files}


%changelog
%autochangelog